Groovy 1.7.0

## groovy.swing.factory
Class TableFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.TableFactory

    class TableFactory
    extends BeanFactory

Constructor Summary
`TableFactory()`
`TableFactory(Class klass)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TableFactory

    public TableFactory()

### TableFactory

    public TableFactory(Class klass)

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.